#include <iostream>

using namespace std;

int main()
{
    char karakter1,karakter2; int prvi_broj1,prvi_broj2;

    cin >>karakter1>>karakter2>>prvi_broj1>>prvi_broj2;

    int razlika=prvi_broj1-prvi_broj2;

    if (razlika<0){
        razlika=razlika*-1;
    }

    if (1<razlika) cout<<"nemoguce";

    else if (0==razlika){
        for (int j=0;j<prvi_broj1;j++){
            cout<<karakter2<<karakter1;
        }
    }
    else {
        if (prvi_broj1<prvi_broj2){
            cout<<karakter2;
            for (int j=0;j<prvi_broj2;j++){
                cout <<karakter1<<karakter2;
            }
        }
        else {
            cout<<karakter1;
            for (int j=0;j<prvi_broj2;j++){
                cout <<karakter2<<karakter1;
            }
        }
    }
}